Bug 1037311 - rtpproxy FTBFS if "-Werror=format-security" flag is used
Summary: rtpproxy FTBFS if "-Werror=format-security" flag is used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rtpproxy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1038083
TreeView+ depends on / blocked
 
Reported: 2013-12-03 05:56 UTC by Dhiru Kholia
Modified: 2014-03-25 03:45 UTC (History)
4 users (show)

Fixed In Version: rtpproxy-1.2.1-14.git2121113.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-12 02:56:50 UTC
Type: ---


Attachments (Terms of Use)

Description Dhiru Kholia 2013-12-03 05:56:11 UTC
Description of problem
----------------------

rtpproxy fails to build if "-Werror=format-security" flag is used.

...

rtpp_syslog_async.c:86:17: error: format not a string literal and no format arguments [-Werror=format-security]

...

We are working on a proposal to enable "-Werror=format-security" for all
packages. Once this flag is enabled, GCC will refuse to compile code that could
be vulnerable to a string format security flaw. For more details, please see
https://fedorahosted.org/fesco/ticket/1185 page.

To understand why it is important to fix this, please see
https://fedoraproject.org/wiki/Format-Security-FAQ page.

How to fix this
---------------

The fix for these errors is quite simple. It's a matter of changing a
line like,

   printf(foo);

to read,

   printf("%s", foo);

That's it.

Please fix this issue in rawhide with a patch (which you should submit
to upstream to merge moving forward). Please do a new build with the
fix in rawhide. Other releases do not need to be directly fixed, but
there should be no harm in pushing out this fix/patch with other needed
changes to those branches.

In the event you don't fix this bug before the next mass rebuild,
provenpackagers may step in and update your package(s) to fix this
issue.

How reproducible
----------------

Build rtpproxy-1.2.1-13.git2121113.fc21.src.rpm with "-Werror=format-security" flag to reproduce the problem.

To make this process easier, you can use a modified "redhat-rpm-config" package
from http://people.fedoraproject.org/~halfie/artifacts/redhat-rpm-config/ URL.

$ sha256sum redhat-rpm-config-9.1.0-56.fc20.*
faad7594b2080fe76497d0ce50808c905a93dd7b41c1defdde5ca57e3833d3d2  redhat-rpm-config-9.1.0-56.fc20.noarch.rpm
5aa9357174305c7285ffdbc92d7ffe1c07a8a95d5459b930461308f5aad75413  redhat-rpm-config-9.1.0-56.fc20.src.rpm

Comment 1 Fedora Update System 2013-12-03 10:24:43 UTC
rtpproxy-1.2.1-14.git2121113.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-14.git2121113.fc19

Comment 2 Fedora Update System 2013-12-03 10:24:56 UTC
rtpproxy-1.2.1-14.git2121113.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-14.git2121113.el6

Comment 3 Fedora Update System 2013-12-03 10:25:08 UTC
rtpproxy-1.2.1-14.git2121113.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-14.git2121113.el5

Comment 4 Fedora Update System 2013-12-03 10:25:17 UTC
rtpproxy-1.2.1-14.git2121113.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rtpproxy-1.2.1-14.git2121113.fc20

Comment 5 Fedora Update System 2013-12-03 18:20:03 UTC
Package rtpproxy-1.2.1-14.git2121113.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rtpproxy-1.2.1-14.git2121113.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22635/rtpproxy-1.2.1-14.git2121113.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-12-12 02:56:50 UTC
rtpproxy-1.2.1-14.git2121113.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-12-14 03:43:53 UTC
rtpproxy-1.2.1-14.git2121113.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-24 17:56:07 UTC
rtpproxy-1.2.1-14.git2121113.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-24 17:57:50 UTC
rtpproxy-1.2.1-14.git2121113.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.